slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSSVDSetDimensions

Sets the number of columns for a DSSVD.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSSVDSetDimensions(DS ds,PetscInt m)

Logically Collective

### Input Parameters

| ds | - the direct solver context
| m | - the number of columns

### Notes

This call is complementary to DSSetDimensions(), to provide a dimension that is specific to this DS type.

### See Also

DSSVDGetDimensions(), DSSetDimensions()

### Level

intermediate

### Location

src/sys/classes/ds/impls/svd/dssvd.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages